/*
 * Copyright (c) 2000 - 2016 Samsung Electronics Co., Ltd. All rights reserved.
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 * http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */


/**
 * @ingroup CAPI_APPLICATION_FRAMEWORK
 * @defgroup NOTIFICATION_MODULE Notification
 * @brief Notification APIs.
 * @section NOTIFICATION_MODULE_HEADER Required Header
 *   \#include <notification.h>
 *
 * @section NOTIFICATION_MODULE_OVERVIEW Overview
 * A notification is a message that is displayed on the notification area or the ongoing area.
 * It is created to notify information to the user through the application.
 * This API provides functions for creating, inserting and updating notification.
 */


/**
 * @internal
 * @ingroup NOTIFICATION_MODULE
 * @defgroup NOTIFICATION_LIST Notification List
 * @brief Linked list of notification data.
 * @section NOTIFICATION_LIST_MODULE_HEADER Required Header
 *   \#include <notification.h>
 *
 * @section NOTIFICATION_LIST_MODULE_OVERVIEW Overview
 * It provides functions for handling notification list.
 *
 */


/**
 * @ingroup NOTIFICATION_MODULE
 * @defgroup NOTIFICATION_STATUS Notification Status
 * @brief APIs displaying plain text message on the indicator area.
 * @section NOTIFICATION_STATUS_MODULE_HEADER Required Header
 *   \#include <notification.h>
 *
 * @section NOTIFICATION_STATUS_MODULE_OVERVIEW Overview
 * Notification status APIs.
 */
